package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 证件类型
 *
 * @Description:
 * @Author: ljc
 * @Time: 2023/4/17 14:36
 * @Classname: EIdType
 * @Package_name: com.hzs.common.core.enums
 */

@AllArgsConstructor
@Getter
public enum EIdType {

    /**
     * 身份证
     */
    ID_CARD(1, "身份证", 0, EnumsPrefixConstants.ID_TYPE + "1");

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;

    public static String getLabel(int value){
        for (EIdType eIdType : EIdType.values()) {
            if (eIdType.getValue() == value){
                return eIdType.getLabel();
            }

        }
        return null;
    }
}
